////////////////
// EWIN1.CPP: 
// Sample MFC program demonstrating how to navigate child windows.
//

#include "stdafx.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

//////////////////
// Main application class.
//
class CMyApp : public CWinApp {
public:
	CMyApp();
	virtual BOOL InitInstance();
};

CMyApp theApp;

CMyApp::CMyApp()
{
	
}

//////////////////
// Initialize app: 
// Write list of top level windows to DEBUG output, then quit.
//
BOOL CMyApp::InitInstance()
{
	// Get desktop (topmost) window
	CWnd* pwndDesktop = CWnd::GetDesktopWindow();
	ASSERT(pwndDesktop);

	// Navigate child windows
	//
	for (CWnd* pwnd = pwndDesktop->GetTopWindow();
		  pwnd;
		  pwnd = pwnd->GetNextWindow()) 
	{
		char buf[80];
		pwnd->GetWindowText(buf, sizeof(buf));
		TRACE1("Window: %s\n", buf);
	}

	return FALSE;				// return FALSE to quit app
}
